/* This file is part of the KDE project

   Copyright (C) 2008 Javier Goday <jgoday @ gmail.com>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/
#include "katetreeviewbookmarkowner.h"
#include "katetreeview.h"

KateTreeViewBookmarkOwner::KateTreeViewBookmarkOwner(QObject *parent, KateTreeView *view) : 
    QObject(parent)
{
    m_treeview = view;
}

KateTreeViewBookmarkOwner::~KateTreeViewBookmarkOwner()
{
}

QString KateTreeViewBookmarkOwner::currentTitle() const
{
    return m_treeview->currentPath();
}

QString KateTreeViewBookmarkOwner::currentUrl() const
{
    return m_treeview->currentPath();
}

void KateTreeViewBookmarkOwner::openBookmark(const KBookmark &bm, Qt::MouseButtons mb, Qt::KeyboardModifiers km)
{
    Q_UNUSED(mb)
    Q_UNUSED(km)

    emit openUrl(bm.url().path());
}
