/* This file is part of the KDE project

   Copyright (C) 2008 Javier Goday <jgoday @ gmail.com>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/
#ifndef KATETREEVIEWBOOKMARKOWNER_H
#define KATETREEVIEWBOOKMARKOWNER_H

#include <QObject>

#include <KBookmarkManager>

class KateTreeView;

class KateTreeViewBookmarkOwner : public QObject, public KBookmarkOwner
{
    Q_OBJECT
public:
    KateTreeViewBookmarkOwner(QObject *parent, KateTreeView *treeview);
    ~KateTreeViewBookmarkOwner();

    /**
    * Returns the current root directory title in the treeview
    */
    QString currentTitle() const;
    /**
    * Returns the current root directory url in the treeview
    */
    QString currentUrl() const;
    /**
    * Set the directory of the bookmark as the root path in the treeview
    */
    void openBookmark(const KBookmark &bm, Qt::MouseButtons mb, Qt::KeyboardModifiers km);

signals:
    /**
    * emited when the bookmark is opened
    */
    void openUrl(const QString &url);

private:
    KateTreeView *m_treeview;
};

#endif
