/* This file is part of the KDE project

   Copyright (C) 2008 Javier Goday <jgoday @ gmail.com>
   Copyright (C) 2007 Batiste Bieler <batiste@dosimple.ch>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
*/
#ifndef KATETREEVIEWPLUGIN_H
#define KATETREEVIEWPLUGIN_H

#include <QObject>

#include <kxmlguiclient.h>

#include <kate/documentmanager.h>
#include <kate/mainwindow.h>
#include <kate/plugin.h>

namespace KTextEditor {
    class Document;
};
class QLabel;
class KateTreeView;
class KateTreeViewToolbar;

class KateTreeViewPlugin : public Kate::Plugin
{
    Q_OBJECT
public:
    explicit KateTreeViewPlugin(QObject *parent = 0, const QStringList &parameters = QStringList());
    virtual ~KateTreeViewPlugin();

    Kate::PluginView *createView(Kate::MainWindow *window);

private:
    Kate::PluginView *m_view;
};

class KateTreeViewPluginView : public Kate::PluginView, public KXMLGUIClient
{
Q_OBJECT
public:
    KateTreeViewPluginView(Kate::MainWindow *window);
    ~KateTreeViewPluginView();

private slots:
    /**
    * Sets the current directory labels text
    */
    void setCurrentDirectory(const QString &);

private:
    KateTreeView *m_treeview;
    KateTreeViewToolbar *m_toolbar;
    QLabel *m_directory;
};
#endif
